# PKGBUILDs

This repository contains my private PKGBUILDs. Some PKGBUILDs are also available
in the [AUR Repository](https://aur.archlinux.org/packages/?K=volker.raschek&SeB=m).
The compiled binaries can be pulled from my [repository](https://aur.cryptic.systems).

If you want to clone this repository, don't forget to checkout the git submodules.

```bash
git submodule update --init --recursive
```

## Import GPG Key

Import and trust my GPG-Key to verify the gpg signed packages.

```bash
pacman-key --recv-keys 9B146D11A9ED6CA7E279EB1A852BCC170D81A982
pacman-key --lsign 9B146D11A9ED6CA7E279EB1A852BCC170D81A982
```

## For any architectures

Add the `any` repository to the `pacman.conf`. Any implies all system
architectures.

```bash
cat >> /etc/pacman.conf << 'EOF'

[any]
Server = https://aur.cryptic.systems/$repo/
EOF
```

## Specific architectures

Add a specific repository to the `pacman.conf`, which contains only specific
system architecture packages.

```bash
cat >> /etc/pacman.conf << 'EOF'

[x86_64]
Server = https://aur.cryptic.systems/$repo/
EOF
```
